> For the complete documentation index, see [llms.txt](https://docs.certdox.com.br/gateway-de-registros/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.certdox.com.br/gateway-de-registros/reference/notificacoes.md).

# Notificações

Notificações são Callbacks/Webhooks enviados ao cliente sempre que o pedido de registro for atualizado.

Atualmente, é possível receber notificações para os tipos descritos abaixo:

* ENVIO\_AVISO\_ASSINATURA
  * Disparado sempre que uma assinatura for realizada.
* ENVIO\_PROTOCOLO\_CARTORIO
  * Disparado quando o pedido for enviado ao cartório.
* ENVIO\_VALORES\_CUSTAS
  * Disparado quando as custas cartorárias forem adicionadas ao pedido.
* ENVIO\_NOTA\_DEBITO
  * Disparado na geração da Nota de Débito.
* ENVIO\_EXIGENCIAS
  * Disparado quando houver uma exigência para o pedido.
* ENVIO\_EVENTOS\_STATUS
  * Disparado sempre que houver alteração no status do pedido.
* ENVIO\_REGISTRO\_CLIENTE
  * Disparado ao final do processo, quando o pedido for registrado, com todos os arquivos gerados durante o processo.

## Exemplos

```json
{
   "tipo":"ENVIO_AVISO_ASSINATURA",
   "dados":{
      "cnpj":"58066124000150",
      "idPedidoCliente":"96868571",
      "idPedidoCdx":"3614",
      "nomeSignatario":"Steve Rogers",
      "qualificacaoSignatario":"ASSINADOR",
      "dataHoraEvento":"2022-08-25 16:46:05",
      "statusEvento":"ASSINADO"
   }
}
```

```json
{
   "tipo":"ENVIO_PROTOCOLO_CARTORIO",
   "dados":{
      "cnpj":"52072332000185",
      "idPedidoCdx":"3266",
      "idPedidoCliente": "96868571",
      "ufCartorio":"GO",
      "cidadeCartorio":"Goiânia",
      "nomeCartorio":"OFÍCIO DE REGISTRO DE IMÓVEIS DA 1ª CIRCUNSCRIÇÃO",
      "numeroPrenotacao":"10111213141516171819",
      "dataPrenotacao":"2022-08-25",
      "dataVencimentoPrenotacao":"2022-08-26",
      "dataRespostaRI":"2022-08-27",
      "respostaRI":"Texto contendo Resposta do Registro",
      "numeroProtocoloEletronico":"AC002289394",
      "dataProtocoloEletronico":"2026-06-01"
      
   }
}
```

```json
{
   "tipo":"ENVIO_VALORES_CUSTAS",
   "dados":{
      "idPedidoCdx": "3266",
      "valorCustas": "110.00",
      "numeroPrenotacao":"43543135",
      "idPedidoCliente": "230520258",
      "cnpj":"58066124000150",
      "lancamentos": [2],
        "0": {8},      
          "cd_pedido_custa": "2106",
          "vl_custa_total": "10.00",
          "dt_cadastro": "2025-12-26 00:00:00",
          "dt_pagamento": "2025-12-26 00:00:00",
          "tipo": "Emolumentos",
          "descricao": "Prenotação",
          "categoria": "Saída",
          "anexos": "https://exemplo.com/boleto.pdf",
        "1": {8},      
          "cd_pedido_custa": "2106",
          "vl_custa_total": "100.00",
          "dt_cadastro": "2025-12-26 00:00:00",
          "dt_pagamento": "2025-12-26 00:00:00",
          "tipo": "Emolumentos",
          "descricao": "Registro",
          "categoria": "Saída",
          "anexos": "https://exemplo.com/boleto.pdf"
   }
}
```

```json
{
   "tipo":"ENVIO_NOTA_DEBITO",
   "dados":{
      "cnpj":"58066124000150",
      "idPedidoCdx": "3266",
      "idPedidoCliente": "96868571",
      "numeroPrenotacao":"43543135",
      "notaDebito":"https://exemplo.com/nota-debito.pdf"
   }
}
```

```json
{
   "tipo":"ENVIO_EXIGENCIAS",
   "dados":{
      "cnpj":"58066124000150",
      "idPedidoCdx":"3614",
      "idPedidoCliente":"96868571",
      "numeroPrenotacao":"1231333",
      "dataExigencia":"2022-08-25 17:01:59",
      "descricao":"Descrição da Exigência",
      "urlDocumentos":[
         "https://exemplo.com/rsposta.pdf",
         "https://exemplo.com/recibo.pdf",
         "https://exemplo.com/documento-assinado.pdf"
      ]
   }
}
```

```json
{
   "tipo":"ENVIO_EVENTOS_STATUS",
   "dados":{
      "cnpj":"58066124000150",
      "idPedidoCdx":"3614",
      "idPedidoCliente":"96868571",
      "idEvento":"NOVO_PEDIDO"
   }
}
```

```json
{
   "tipo":"ENVIO_REGISTRO_CLIENTE",
   "dados":{
      "cnpj":"58066124000150",
      "idPedidoCdx":"3614",
      "idPedidoCliente":"96868571",
      "numeroPrenotacao":"43543135",
      "dataRegistro":"2022-08-25",
      "descricaoRetornoRI":"Funções André Mello",
      "urlDocumentos":[
         "https://exemplo.com/rsposta.pdf",
         "https://exemplo.com/recibo.pdf",
         "https://exemplo.com/documento-assinado.pdf"
      ]
   }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.certdox.com.br/gateway-de-registros/reference/notificacoes.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
